package com.tsi.sig.server.service;

import com.tsi.sig.server.mapper.MainMapper;
import com.tsi.sig.server.vo.CvibNodeVO;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;


@Service
public class MainService {

    private final MainMapper mainMapper;

    public MainService(MainMapper mainMapper) {
        this.mainMapper = mainMapper;
    }

    public List<CvibNodeVO> getCvibNodeInfo(HashMap<String, Object> paramMap) {
        return this.mainMapper.getCvibNodeInfo(paramMap);
    }

    public List<CvibNodeVO> getCvibMapNodeList(HashMap<String, Object> paramMap) {
        return this.mainMapper.getCvibMapNodeList(paramMap);
    }

    public List<CvibNodeVO> getLodeList() {
        return this.mainMapper.getNodeList();
    }

}
